IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fe80:c000::/20- First address
fe80:c000::- Last address
fe80:cfff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fe80:c000:0000:0000:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c000::/28 | fe80:c00f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fe80:c010::/28 | fe80:c01f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fe80:c020::/28 | fe80:c02f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fe80:c030::/28 | fe80:c03f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fe80:c040::/28 | fe80:c04f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fe80:c050::/28 | fe80:c05f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fe80:c060::/28 | fe80:c06f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fe80:c070::/28 | fe80:c07f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fe80:c080::/28 | fe80:c08f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fe80:c090::/28 | fe80:c09f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fe80:c0a0::/28 | fe80:c0af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fe80:c0b0::/28 | fe80:c0bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fe80:c0c0::/28 | fe80:c0cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fe80:c0d0::/28 | fe80:c0df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fe80:c0e0::/28 | fe80:c0ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fe80:c0f0::/28 | fe80:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fe80:c100::/28 | fe80:c10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fe80:c110::/28 | fe80:c11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fe80:c120::/28 | fe80:c12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fe80:c130::/28 | fe80:c13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fe80:c140::/28 | fe80:c14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fe80:c150::/28 | fe80:c15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fe80:c160::/28 | fe80:c16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fe80:c170::/28 | fe80:c17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fe80:c180::/28 | fe80:c18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fe80:c190::/28 | fe80:c19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fe80:c1a0::/28 | fe80:c1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fe80:c1b0::/28 | fe80:c1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fe80:c1c0::/28 | fe80:c1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fe80:c1d0::/28 | fe80:c1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fe80:c1e0::/28 | fe80:c1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fe80:c1f0::/28 | fe80:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fe80:c200::/28 | fe80:c20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fe80:c210::/28 | fe80:c21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fe80:c220::/28 | fe80:c22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fe80:c230::/28 | fe80:c23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fe80:c240::/28 | fe80:c24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fe80:c250::/28 | fe80:c25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fe80:c260::/28 | fe80:c26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fe80:c270::/28 | fe80:c27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fe80:c280::/28 | fe80:c28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fe80:c290::/28 | fe80:c29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fe80:c2a0::/28 | fe80:c2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fe80:c2b0::/28 | fe80:c2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fe80:c2c0::/28 | fe80:c2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fe80:c2d0::/28 | fe80:c2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fe80:c2e0::/28 | fe80:c2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fe80:c2f0::/28 | fe80:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fe80:c300::/28 | fe80:c30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fe80:c310::/28 | fe80:c31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fe80:c320::/28 | fe80:c32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fe80:c330::/28 | fe80:c33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fe80:c340::/28 | fe80:c34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fe80:c350::/28 | fe80:c35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fe80:c360::/28 | fe80:c36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fe80:c370::/28 | fe80:c37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fe80:c380::/28 | fe80:c38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fe80:c390::/28 | fe80:c39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fe80:c3a0::/28 | fe80:c3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fe80:c3b0::/28 | fe80:c3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fe80:c3c0::/28 | fe80:c3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fe80:c3d0::/28 | fe80:c3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fe80:c3e0::/28 | fe80:c3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fe80:c3f0::/28 | fe80:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fe80:c400::/28 | fe80:c40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fe80:c410::/28 | fe80:c41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fe80:c420::/28 | fe80:c42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fe80:c430::/28 | fe80:c43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fe80:c440::/28 | fe80:c44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fe80:c450::/28 | fe80:c45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fe80:c460::/28 | fe80:c46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fe80:c470::/28 | fe80:c47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fe80:c480::/28 | fe80:c48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fe80:c490::/28 | fe80:c49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fe80:c4a0::/28 | fe80:c4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fe80:c4b0::/28 | fe80:c4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fe80:c4c0::/28 | fe80:c4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fe80:c4d0::/28 | fe80:c4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fe80:c4e0::/28 | fe80:c4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fe80:c4f0::/28 | fe80:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fe80:c500::/28 | fe80:c50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fe80:c510::/28 | fe80:c51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fe80:c520::/28 | fe80:c52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fe80:c530::/28 | fe80:c53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fe80:c540::/28 | fe80:c54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fe80:c550::/28 | fe80:c55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fe80:c560::/28 | fe80:c56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fe80:c570::/28 | fe80:c57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fe80:c580::/28 | fe80:c58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fe80:c590::/28 | fe80:c59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fe80:c5a0::/28 | fe80:c5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fe80:c5b0::/28 | fe80:c5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fe80:c5c0::/28 | fe80:c5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fe80:c5d0::/28 | fe80:c5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fe80:c5e0::/28 | fe80:c5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fe80:c5f0::/28 | fe80:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fe80:c600::/28 | fe80:c60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fe80:c610::/28 | fe80:c61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fe80:c620::/28 | fe80:c62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fe80:c630::/28 | fe80:c63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fe80:c640::/28 | fe80:c64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fe80:c650::/28 | fe80:c65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fe80:c660::/28 | fe80:c66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fe80:c670::/28 | fe80:c67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fe80:c680::/28 | fe80:c68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fe80:c690::/28 | fe80:c69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fe80:c6a0::/28 | fe80:c6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fe80:c6b0::/28 | fe80:c6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fe80:c6c0::/28 | fe80:c6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fe80:c6d0::/28 | fe80:c6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fe80:c6e0::/28 | fe80:c6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fe80:c6f0::/28 | fe80:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fe80:c700::/28 | fe80:c70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fe80:c710::/28 | fe80:c71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fe80:c720::/28 | fe80:c72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fe80:c730::/28 | fe80:c73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fe80:c740::/28 | fe80:c74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fe80:c750::/28 | fe80:c75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fe80:c760::/28 | fe80:c76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fe80:c770::/28 | fe80:c77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fe80:c780::/28 | fe80:c78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fe80:c790::/28 | fe80:c79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fe80:c7a0::/28 | fe80:c7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fe80:c7b0::/28 | fe80:c7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fe80:c7c0::/28 | fe80:c7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fe80:c7d0::/28 | fe80:c7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fe80:c7e0::/28 | fe80:c7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fe80:c7f0::/28 | fe80:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fe80:c800::/28 | fe80:c80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fe80:c810::/28 | fe80:c81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fe80:c820::/28 | fe80:c82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fe80:c830::/28 | fe80:c83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fe80:c840::/28 | fe80:c84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fe80:c850::/28 | fe80:c85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fe80:c860::/28 | fe80:c86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fe80:c870::/28 | fe80:c87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fe80:c880::/28 | fe80:c88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fe80:c890::/28 | fe80:c89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fe80:c8a0::/28 | fe80:c8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fe80:c8b0::/28 | fe80:c8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fe80:c8c0::/28 | fe80:c8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fe80:c8d0::/28 | fe80:c8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fe80:c8e0::/28 | fe80:c8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fe80:c8f0::/28 | fe80:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fe80:c900::/28 | fe80:c90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fe80:c910::/28 | fe80:c91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fe80:c920::/28 | fe80:c92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fe80:c930::/28 | fe80:c93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fe80:c940::/28 | fe80:c94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fe80:c950::/28 | fe80:c95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fe80:c960::/28 | fe80:c96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fe80:c970::/28 | fe80:c97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fe80:c980::/28 | fe80:c98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fe80:c990::/28 | fe80:c99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fe80:c9a0::/28 | fe80:c9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fe80:c9b0::/28 | fe80:c9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fe80:c9c0::/28 | fe80:c9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fe80:c9d0::/28 | fe80:c9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fe80:c9e0::/28 | fe80:c9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fe80:c9f0::/28 | fe80:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fe80:ca00::/28 | fe80:ca0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fe80:ca10::/28 | fe80:ca1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fe80:ca20::/28 | fe80:ca2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fe80:ca30::/28 | fe80:ca3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fe80:ca40::/28 | fe80:ca4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fe80:ca50::/28 | fe80:ca5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fe80:ca60::/28 | fe80:ca6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fe80:ca70::/28 | fe80:ca7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fe80:ca80::/28 | fe80:ca8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fe80:ca90::/28 | fe80:ca9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fe80:caa0::/28 | fe80:caaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fe80:cab0::/28 | fe80:cabf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fe80:cac0::/28 | fe80:cacf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fe80:cad0::/28 | fe80:cadf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fe80:cae0::/28 | fe80:caef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fe80:caf0::/28 | fe80:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fe80:cb00::/28 | fe80:cb0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fe80:cb10::/28 | fe80:cb1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fe80:cb20::/28 | fe80:cb2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fe80:cb30::/28 | fe80:cb3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fe80:cb40::/28 | fe80:cb4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fe80:cb50::/28 | fe80:cb5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fe80:cb60::/28 | fe80:cb6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fe80:cb70::/28 | fe80:cb7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fe80:cb80::/28 | fe80:cb8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fe80:cb90::/28 | fe80:cb9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fe80:cba0::/28 | fe80:cbaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fe80:cbb0::/28 | fe80:cbbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fe80:cbc0::/28 | fe80:cbcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fe80:cbd0::/28 | fe80:cbdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fe80:cbe0::/28 | fe80:cbef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fe80:cbf0::/28 | fe80:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fe80:cc00::/28 | fe80:cc0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fe80:cc10::/28 | fe80:cc1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fe80:cc20::/28 | fe80:cc2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fe80:cc30::/28 | fe80:cc3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fe80:cc40::/28 | fe80:cc4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fe80:cc50::/28 | fe80:cc5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fe80:cc60::/28 | fe80:cc6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fe80:cc70::/28 | fe80:cc7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fe80:cc80::/28 | fe80:cc8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fe80:cc90::/28 | fe80:cc9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fe80:cca0::/28 | fe80:ccaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fe80:ccb0::/28 | fe80:ccbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fe80:ccc0::/28 | fe80:cccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fe80:ccd0::/28 | fe80:ccdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fe80:cce0::/28 | fe80:ccef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fe80:ccf0::/28 | fe80:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fe80:cd00::/28 | fe80:cd0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fe80:cd10::/28 | fe80:cd1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fe80:cd20::/28 | fe80:cd2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fe80:cd30::/28 | fe80:cd3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fe80:cd40::/28 | fe80:cd4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fe80:cd50::/28 | fe80:cd5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fe80:cd60::/28 | fe80:cd6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fe80:cd70::/28 | fe80:cd7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fe80:cd80::/28 | fe80:cd8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fe80:cd90::/28 | fe80:cd9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fe80:cda0::/28 | fe80:cdaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fe80:cdb0::/28 | fe80:cdbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fe80:cdc0::/28 | fe80:cdcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fe80:cdd0::/28 | fe80:cddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fe80:cde0::/28 | fe80:cdef:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fe80:cdf0::/28 | fe80:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fe80:ce00::/28 | fe80:ce0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fe80:ce10::/28 | fe80:ce1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fe80:ce20::/28 | fe80:ce2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fe80:ce30::/28 | fe80:ce3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fe80:ce40::/28 | fe80:ce4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fe80:ce50::/28 | fe80:ce5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fe80:ce60::/28 | fe80:ce6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fe80:ce70::/28 | fe80:ce7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fe80:ce80::/28 | fe80:ce8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fe80:ce90::/28 | fe80:ce9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fe80:cea0::/28 | fe80:ceaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fe80:ceb0::/28 | fe80:cebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fe80:cec0::/28 | fe80:cecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fe80:ced0::/28 | fe80:cedf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fe80:cee0::/28 | fe80:ceef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fe80:cef0::/28 | fe80:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fe80:cf00::/28 | fe80:cf0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fe80:cf10::/28 | fe80:cf1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fe80:cf20::/28 | fe80:cf2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fe80:cf30::/28 | fe80:cf3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fe80:cf40::/28 | fe80:cf4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fe80:cf50::/28 | fe80:cf5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fe80:cf60::/28 | fe80:cf6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fe80:cf70::/28 | fe80:cf7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fe80:cf80::/28 | fe80:cf8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fe80:cf90::/28 | fe80:cf9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fe80:cfa0::/28 | fe80:cfaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fe80:cfb0::/28 | fe80:cfbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fe80:cfc0::/28 | fe80:cfcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fe80:cfd0::/28 | fe80:cfdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fe80:cfe0::/28 | fe80:cfef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fe80:cff0::/28 | fe80:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |